<template>
    <div>
        <div class="alert alert-info" role="alert">
            <h4 class="alert-heading">Добрый день, Игорь Петрович!</h4>
            <p>Отчет по данным CRM за {{ new Date().toLocaleString() }}</p>
            <hr>
            <ul>    
                <li>Итоговая выручка: 3800 руб.</li>
                <li>Выполнено заказов: 3  <a href="#" class="alert-link">Подробнее</a></li>
                <li>Новых клиентов: 14  <a href="#" class="alert-link">Подробнее</a></li>
            </ul>
        </div>
        <div>
            <h3>Поставленные задачи на {{ new Date().toLocaleString() }} </h3>
            <div>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <td>#</td>
                            <td>Статус</td>
                            <td>Постановщик</td>
                            <td>Исполнитель</td>
                            <td>Описание</td>
                            <td>Сроки выполнения</td>
                            <td>Трудозатраты</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="task in tasks" :key="task.id">
                            <td>{{ task.id }}</td>
                            <td>{{ task.status }}</td>
                            <td>{{ task.managerName }}</td>
                            <td>{{ task.managerName }}</td>
                            <td>{{ task.description }}</td>
                            <td>{{ task.deadLine }}</td>
                            <td>{{ task.laborCosts }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Start',
    data: function() {
        return {
            tasks: [
                {
                    id: 1,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 2,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 3,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
                 {
                    id: 4,
                    status: 'active',
                    managerName: 'Такой то такой то...',
                    description: 'Описание задачи',
                    deadLine: new Date().toLocaleString() , 
                    laborCosts: '12 ч'
                },
            ]
        }
    }
}
</script>